Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.java.net
Class AuthenticatedSocket

    java.lang.Object
      |
      +--java.net.Socket
            |
            +--org.apache.java.net.AuthenticatedSocket

public class AuthenticatedSocket
extends java.net.Socket

This class implements an authenticated server socket that binds to port and listens for authenticated connections. A socket connection to be authenticated must come from an IP address contained into a address filter list and go pass the authentication handshake.

Version:
  $Revision: 1.8 $ $Date: 1999/12/08 23:26:53 $
See Also:
  `AuthenticatedServerSocket`

Fields inherited from class java.net.Socket
`factory, impl`

Constructor Summary
`AuthenticatedSocket(java.net.InetAddress ia, int port)`
`AuthenticatedSocket(java.net.InetAddress ia, int port, MessageDigest md, byte[] secret)`
`AuthenticatedSocket(java.lang.String address, int port)`
`AuthenticatedSocket(java.lang.String address, int port, MessageDigest md, byte[] secret)`

Methods inherited from class java.net.Socket
`close, getInetAddress, getInputStream, getLocalAddress, getLocalPort, getOutputStream, getPort, getReceiveBufferSize, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, setReceiveBufferSize, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### AuthenticatedSocket

    public AuthenticatedSocket(java.net.InetAddress ia,
                               int port,
                               MessageDigest md,
                               byte[] secret)
                        throws java.io.IOException,
                               AuthenticationException

### AuthenticatedSocket

    public AuthenticatedSocket(java.lang.String address,
                               int port,
                               MessageDigest md,
                               byte[] secret)
                        throws java.io.IOException,
                               AuthenticationException

### AuthenticatedSocket

    public AuthenticatedSocket(java.lang.String address,
                               int port)
                        throws java.io.IOException

### AuthenticatedSocket

    public AuthenticatedSocket(java.net.InetAddress ia,
                               int port)
                        throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD